## python-mne 0.17+dfsg

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
PYTESTS ?= py.test
CTAGS ?= ctags
CODESPELL_SKIPS ?= "*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html"
CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
all: clean inplace test test-doc

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf _build

clean-ctags:
	rm -f tags

clean-cache:
	find . -name "__pycache__" | xargs rm -rf

clean: clean-build clean-pyc clean-so clean-ctags clean-cache

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

sample_data:
	@python -c "import mne; mne.datasets.sample.data_path(verbose=True);"

testing_data:
	@python -c "import mne; mne.datasets.testing.data_path(verbose=True);"

pytest: test

test: in
	rm -f .coverage
	$(PYTESTS) -m 'not ultraslowtest' mne

test-verbose: in
	rm -f .coverage
	$(PYTESTS) -m 'not ultraslowtest' mne --verbose

test-fast: in
	rm -f .coverage
	$(PYTESTS) -m 'not slowtest' mne

test-full: in
	rm -f .coverage
	$(PYTESTS) mne

test-no-network: in
	sudo unshare -n -- sh -c 'MNE_SKIP_NETWORK_TESTS=1 py.test mne'

test-no-testing-data: in
	@MNE_SKIP_TESTING_DATASET_TESTS=true \
	$(PYTESTS) mne

test-no-sample-with-coverage: in testing_data
	rm -rf coverage .coverage
	$(PYTESTS) --cov=mne --cov-report html:coverage

test-doc: sample_data testing_data
	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/

test-coverage: testing_data
	rm -rf coverage .coverage
	$(PYTESTS) --cov=mne --cov-report html:coverage
# whats the difference with test-no-sample-with-coverage?

test-mem: in testing_data
	ulimit -v 1097152 && $(PYTESTS) mne

trailing-spaces:
	find . -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

upload-pipy:
	python setup.py sdist bdist_egg register upload

flake:
	@if command -v flake8 > /dev/null; then \
		echo "Running flake8"; \
		flake8 --count mne examples tutorials; \
	else \
		echo "flake8 not found, please install it!"; \
		exit 1; \
	fi;
	@echo "flake8 passed"

codespell:  # running manually
	@codespell -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)

codespell-error:  # running on travis
	@codespell -i 0 -q 7 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)

pydocstyle:
	@echo "Running pydocstyle"
	@pydocstyle mne

docstring:
	@echo "Running docstring tests"
	@$(PYTESTS) --doctest-modules mne/tests/test_docstring_parameters.py

check-manifest:
	check-manifest --ignore .circleci*,doc,logo,mne/io/*/tests/data*,mne/io/tests/data,mne/preprocessing/tests/data,.DS_Store

check-readme:
	python setup.py check --restructuredtext --strict

nesting:
	@echo "Running import nesting tests"
	@$(PYTESTS) mne/tests/test_import_nesting.py

pep:
	@$(MAKE) -k flake pydocstyle docstring codespell-error check-manifest nesting check-readme

manpages:
	@echo "I: generating manpages"
	set -e; mkdir -p _build/manpages && \
	cd bin && for f in mne*; do \
			descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f -h | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
	PYTHONPATH=../ \
			help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(uver)" ./$$f \
			>| ../_build/manpages/$$f.1; \
	done

build-doc-dev:
	cd doc; make clean
	cd doc; DISPLAY=:1.0 xvfb-run -n 1 -s "-screen 0 1280x1024x24 -noreset -ac +extension GLX +render" make html_dev

build-doc-stable:
	cd doc; make clean
	cd doc; DISPLAY=:1.0 xvfb-run -n 1 -s "-screen 0 1280x1024x24 -noreset -ac +extension GLX +render" make html_stable

docstyle: pydocstyle

=== requirements.txt ===
numpy
scipy
matplotlib
mayavi
pyqt5
pyqt5-sip
sip
scikit-learn
nibabel
h5py
pandas
numexpr
python-picard
statsmodels
pytest
pytest-cov
joblib
psutil
dipy
numpydoc
https://api.github.com/repos/nipy/PySurfer/zipball/master
nitime
nilearn
neo
pydocstyle
flake8

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n -W -T --keep-going
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

# make with no arguments will build the first target by default, i.e., build standalone HTML files
first_target: html_dev-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html_stable      to make standalone HTML files (stable version)"
	@echo "  html_dev         to make standalone HTML files (dev version)"
	@echo "  html_dev-pattern to make standalone HTML files for one example dir (dev version)"
	@echo "  *-noplot     	  to make standalone HTML files without plotting"
	@echo "  dirhtml          to make HTML files named index.html in directories"
	@echo "  pickle           to make pickle files"
	@echo "  json             to make JSON files"
	@echo "  htmlhelp         to make HTML files and a HTML help project"
	@echo "  qthelp           to make HTML files and a qthelp project"
	@echo "  latex            to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes          to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck        to check all external links for integrity"
	@echo "  doctest          to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/* auto_examples auto_tutorials generated *.stc *.fif *.nii.gz

html_stable:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html_stable
	@echo
	@echo "Build finished. The HTML pages are in _build/html_stable."

html_dev:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html"

html_dev-pattern:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html"

html_dev-noplot:
	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html_stable
	@echo
	@echo "Build finished. The HTML pages are in _build/html_stable."

html_dev-front:
	@PATTERN="\(plot_mne_dspm_source_localization.py\|plot_receptive_field.py\|plot_mne_inverse_label_connectivity.py\|plot_sensors_decoding.py\|plot_stats_cluster_spatio_temporal.py\|plot_visualize_evoked.py\)" make html_dev-pattern;

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/MNE.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/MNE.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

view:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/index.html')"

show: view

=== debian/changelog ===
python-mne (0.17+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * ignore remaining errors in test suite
  * debhelper 12
  * Drop useless get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Drop ancient X-Python-Version field
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * remove outdated debian/pycompat
  * buildsystem pybuild
  * Fix permissions of some data files
  * Modernise d/watch
  * Replace compressed css
  * Realised that mne/html/mpld3.v0.2.min.js is removed as well but there
    is no replacement packaged in Debian
  * Remove Alexandre Gramfort <alexandre.gramfort@m4x.org> from Uploaders
    since he confirmed to have not time for the maintenance (Thanks for
    your work on the package Alexandre)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Jan 2019 09:29:16 +0100

=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python-all,
               python-nibabel,
               python-numpy,
               python-scipy,
               python3-sphinx,
               python-nose,
               python-pytest,
               python-pytest-cov,
               python-setuptools,
               python-matplotlib,
               python-joblib,
               python-sklearn,
               mayavi2 (>= 4.4.3~) | python-vtk6 | python-vtk,
               python-tk,
               xvfb,
               xauth,
               libgl1-mesa-dri,
               python-coverage,
               libjs-jquery,
               libjs-jquery-ui,
               yui-compressor
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-mne
Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
Homepage: http://martinos.org/mne

Package: python-mne
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy,
         python-scipy,
         python-sklearn,
         python-matplotlib,
         python-joblib,
         xvfb,
         xauth,
         libgl1-mesa-dri,
         help2man,
         libjs-bootstrap,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-d3
Recommends: python-nose,
            python-pytest,
            python-nibabel,
            mayavi2
Suggests: python-dap,
          python-pycuda,
          ipython
Provides: ${python:Provides}
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TESTRUNNER=py.test

export PYBUILD_NAME = mne

# to avoid cannot set toolkit to qt4 because it has already been set to wx
export ETS_TOOLKIT=qt4

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python2 --buildsystem pybuild

override_dh_clean:
	rm -rf *.egg-info
	dh_clean

override_dh_auto_build:
	dh_auto_build
	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
	printf "\n\n" >> $(CURDIR)/mne/html/bootstrap.min.js

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p build
	HOME=$(CURDIR)/build \
	MNE_DONTWRITE_HOME=true MNE_SKIP_SAMPLE_DATASET_TESTS=true MNE_FORCE_SERIAL=true MNE_SKIP_NETWORK_TESTS=1 \
	  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
	  $(TESTRUNNER) -s -v mne || true
	# ignore remaining errors in test suite
	# see https://github.com/mne-tools/mne-python/issues/5806
endif

override_dh_fixperms:
	dh_fixperms
	find `find debian -name data -type d` -type f -exec chmod -x \{\} \;

## python-mne 0.19.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export  https_proxy=http://127.0.0.1:9/
 
 %:
-	dh $@ --with python2 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_clean:
 	rm -rf *.egg-info

## python-mne 0.19.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PYTHON ?= python
 PYTESTS ?= py.test
 CTAGS ?= ctags
-CODESPELL_SKIPS ?= "*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html"
+CODESPELL_SKIPS ?= "*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg"
 CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
 all: clean inplace test test-doc
 
@@ -17,7 +17,7 @@
 	find . -name "*.pyd" | xargs rm -f
 
 clean-build:
-	rm -rf _build
+	rm -rf build dist
 
 clean-ctags:
 	rm -f tags
@@ -30,6 +30,12 @@
 in: inplace # just a shortcut
 inplace:
 	$(PYTHON) setup.py build_ext -i
+
+wheel:
+	$(PYTHON) setup.py sdist bdist_wheel
+
+wheel_quiet:
+	$(PYTHON) setup.py -q sdist bdist_wheel
 
 sample_data:
 	@python -c "import mne; mne.datasets.sample.data_path(verbose=True);"
@@ -67,7 +73,7 @@
 	$(PYTESTS) --cov=mne --cov-report html:coverage
 
 test-doc: sample_data testing_data
-	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/
+	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/ --ignore=./doc/auto_examples --ignore=./doc/auto_tutorials --ignore=./doc/_build --fulltrace
 
 test-coverage: testing_data
 	rm -rf coverage .coverage
@@ -115,8 +121,8 @@
 check-manifest:
 	check-manifest --ignore .circleci*,doc,logo,mne/io/*/tests/data*,mne/io/tests/data,mne/preprocessing/tests/data,.DS_Store
 
-check-readme:
-	python setup.py check --restructuredtext --strict
+check-readme: clean wheel_quiet
+	twine check dist/*
 
 nesting:
 	@echo "Running import nesting tests"

=== requirements.txt ===
numpy
scipy
matplotlib
mayavi
pyqt5
pyqt5-sip
sip
scikit-learn
nibabel
numba
h5py
pandas
numexpr
python-picard
statsmodels
pytest!=4.6.0
pytest-cov
pytest-faulthandler
pytest-mock
pytest-sugar
pytest-timeout
joblib
psutil
dipy
numpydoc
PySurfer[save_movie]
nilearn
neo
xlrd
pydocstyle
flake8
pyvista>=0.21.3
panel

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    = -n -W -T --keep-going
+SPHINXOPTS    = -nWT --keep-going
 SPHINXBUILD   = sphinx-build
 PAPER         =
 
@@ -33,7 +33,7 @@
 	@echo "  doctest          to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf _build/* auto_examples auto_tutorials generated *.stc *.fif *.nii.gz
+	-rm -rf _build auto_examples auto_tutorials generated *.stc *.fif *.nii.gz
 
 html_stable:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html_stable
@@ -106,10 +106,10 @@
 	@echo "The overview file is in _build/changes."
 
 linkcheck:
-	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
-	@echo
-	@echo "Link check complete; look for any errors in the above output " \
-	      "or in _build/linkcheck/output.txt."
+	@$(SPHINXBUILD) -b linkcheck -D nitpicky=0 -D plot_gallery=0 -D exclude_patterns="cited.rst,whats_new.rst,configure_git.rst" -d _build/doctrees . _build/linkcheck
+
+linkcheck-grep:
+	@! grep -h "^.*:.*: \[\(\(local\)\|\(broken\)\)\]" _build/linkcheck/output.txt
 
 doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest

=== debian/changelog ===
python-mne (0.19.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: python-mne
    Closes: #939623
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Replace Build-Depends forcing Python2 to mayavi2 (python-vtk6 | python-vtk)
    by python3-vtk7
  * Recommends: s/mayavi2/python3-vtk7/
    Suggests: mayavi2

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2019 09:52:14 +0100

python-mne (0.18.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload (with team approval).
  * New upstream release.
  * Switch to Python 3.
  * Ran wrap-and-sort -bast.
  * Rebased deb_paths and up_check_numpy patches.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2019 14:38:58 +0200

=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libgl1-mesa-dri,
               libjs-jquery,
               libjs-jquery-ui,
               python3-vtk7,
               python3-all,
               python3-coverage,
               python3-joblib,
               python3-matplotlib,
               python3-nibabel,
               python3-nose,
               python3-numpy,
               python3-pytest,
               python3-pytest-cov,
               python3-scipy,
               python3-setuptools,
               python3-sklearn,
               python3-tk,
               python3-sphinx,
               xauth,
               xvfb,
               yui-compressor
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/python-mne
Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
Homepage: http://martinos.org/mne

Package: python3-mne
Architecture: all
Depends: help2man,
         libgl1-mesa-dri,
         libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         libjs-jquery-ui,
         python3-joblib,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         python3-sklearn,
         xauth,
         xvfb,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-vtk7,
            python3-nibabel,
            python3-nose,
            python3-pytest
Suggests: mayavi2,
          ipython,
          python3-dap,
          python3-pycuda
Breaks: python-mne
Provides: ${python3:Provides}
Replaces: python-mne
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/mne-tools/mne-python/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-mne 0.23.4%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/mne-tools/mne-python/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-mne 0.23.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PYTHON ?= python
 PYTESTS ?= py.test
 CTAGS ?= ctags
-CODESPELL_SKIPS ?= "*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg"
+CODESPELL_SKIPS ?= "doc/auto_*,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg,references.bib"
 CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
 all: clean inplace test test-doc
 
@@ -97,7 +97,7 @@
 flake:
 	@if command -v flake8 > /dev/null; then \
 		echo "Running flake8"; \
-		flake8 --count mne examples tutorials; \
+		flake8 --count; \
 	else \
 		echo "flake8 not found, please install it!"; \
 		exit 1; \
@@ -105,10 +105,10 @@
 	@echo "flake8 passed"
 
 codespell:  # running manually
-	@codespell -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)
+	@codespell --builtin clear,rare,informal,names,usage -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)
 
 codespell-error:  # running on travis
-	@codespell -i 0 -q 7 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)
+	@codespell --builtin clear,rare,informal,names,usage -i 0 -q 7 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)
 
 pydocstyle:
 	@echo "Running pydocstyle"
@@ -119,7 +119,7 @@
 	@$(PYTESTS) --doctest-modules mne/tests/test_docstring_parameters.py
 
 check-manifest:
-	check-manifest --ignore .circleci*,doc,logo,mne/io/*/tests/data*,mne/io/tests/data,mne/preprocessing/tests/data,.DS_Store
+	check-manifest -q --ignore .circleci/config.yml,doc,logo,mne/io/*/tests/data*,mne/io/tests/data,mne/preprocessing/tests/data,.DS_Store
 
 check-readme: clean wheel_quiet
 	twine check dist/*

=== requirements.txt ===
# requirements for full MNE-Python functionality (other than raw/epochs export)
numpy>=1.15.4
scipy>=1.1.0
matplotlib
pyqt5>=5.10,<5.14; platform_system == "Darwin"
pyqt5>=5.10,!=5.15.2,!=5.15.3; platform_system == "Linux"
pyqt5>=5.10,!=5.15.3; platform_system != "Linux" and platform_system != "Darwin"
pyqt5-sip
sip
scikit-learn
nibabel
numba
h5py
pandas
numexpr
jupyter
python-picard
statsmodels
joblib
psutil
dipy
vtk<8.2; platform_system == "Darwin"
vtk; platform_system != "Darwin"
mayavi
PySurfer[save_movie]
nilearn
xlrd
imageio>=2.6.1
imageio-ffmpeg>=0.4.1
pyvista>=0.24
pyvistaqt>=0.2.0
tqdm
mffpy>=0.5.7
ipywidgets
ipyvtk-simple

=== doc/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SPHINXOPTS    = -nWT --keep-going
 SPHINXBUILD   = sphinx-build
 PAPER         =
+MPROF         = SG_STAMP_STARTS=true mprof run -E --python sphinx
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -40,13 +41,28 @@
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html_stable."
 
+html_stable-memory:
+	$(MPROF) -b html $(ALLSPHINXOPTS) _build/html_stable
+	@echo
+	@echo "Build finished. The HTML pages are in _build/html_stable."
+
 html_dev:
 	BUILD_DEV_HTML=1 $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html"
 
+html_dev-memory:
+	BUILD_DEV_HTML=1 $(MPROF) -b html $(ALLSPHINXOPTS) _build/html
+	@echo
+	@echo "Build finished. The HTML pages are in _build/html"
+
 html_dev-pattern:
-	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D plot_gallery=1 -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -b html $(ALLSPHINXOPTS) _build/html
+	BUILD_DEV_HTML=1 $(SPHINXBUILD) -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -D sphinx_gallery_conf.run_stale_examples=True -b html $(ALLSPHINXOPTS) _build/html
+	@echo
+	@echo "Build finished. The HTML pages are in _build/html"
+
+html_dev-pattern-memory:
+	BUILD_DEV_HTML=1 $(MPROF) -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -D sphinx_gallery_conf.run_stale_examples=True -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html"
 
@@ -55,13 +71,16 @@
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
+html_dev-debug:
+	BUILD_DEV_HTML=1 $(SPHINXBUILD) -PD plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html
+
 html-noplot:
 	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html_stable
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html_stable."
 
 html_dev-front:
-	@PATTERN="\(plot_mne_dspm_source_localization.py\|plot_receptive_field.py\|plot_mne_inverse_label_connectivity.py\|plot_sensors_decoding.py\|plot_stats_cluster_spatio_temporal.py\|plot_visualize_evoked.py\)" make html_dev-pattern;
+	@PATTERN="\(plot_mne_dspm_source_localization.py\|plot_receptive_field.py\|plot_mne_inverse_label_connectivity.py\|plot_sensors_decoding.py\|plot_stats_cluster_spatio_temporal.py\|plot_20_visualize_evoked.py\)" make html_dev-pattern;
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml

=== debian/changelog ===
python-mne (0.23.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove outdated debian/TOTO

 -- Andreas Tille <tille@debian.org>  Tue, 28 Sep 2021 10:14:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libgl1-mesa-dri,
                libjs-jquery,
@@ -28,10 +28,11 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
-Homepage: http://martinos.org/mne
+Homepage: https://martinos.org/mne
+Rules-Requires-Root: no
 
 Package: python3-mne
 Architecture: all

## python-mne 1.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
 # simple makefile to simplify repetetive build env management tasks under posix
-
-# caution: testing won't work on windows, see README
 
 PYTHON ?= python
 PYTESTS ?= py.test
 CTAGS ?= ctags
-CODESPELL_SKIPS ?= "doc/auto_*,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg,references.bib"
+CODESPELL_SKIPS ?= "doc/auto_*,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg,references.bib,*.css"
 CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
 all: clean inplace test test-doc
 
@@ -73,7 +71,7 @@
 	$(PYTESTS) --cov=mne --cov-report html:coverage
 
 test-doc: sample_data testing_data
-	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/ --ignore=./doc/auto_examples --ignore=./doc/auto_tutorials --ignore=./doc/_build --fulltrace
+	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/ --ignore=./doc/auto_examples --ignore=./doc/auto_tutorials --ignore=./doc/_build --ignore=./doc/conf.py --ignore=doc/sphinxext --fulltrace
 
 test-coverage: testing_data
 	rm -rf coverage .coverage

=== requirements.txt ===
# requirements for full MNE-Python functionality (other than raw/epochs export)
numpy>=1.15.4
scipy>=1.1.0
matplotlib
tqdm
pooch>=1.5
decorator
h5io
packaging
pymatreader
qtpy
PySide6!=6.3.0
pyobjc-framework-Cocoa>=5.2.0; platform_system=="Darwin"
sip
scikit-learn
nibabel
numba
h5py
jinja2
pandas
numexpr
jupyter
python-picard
statsmodels
joblib
psutil
dipy
vtk
nilearn
xlrd
imageio>=2.6.1
imageio-ffmpeg>=0.4.1
traitlets
pyvista>=0.32,!=0.35.2
pyvistaqt>=0.4
mffpy>=0.5.7
ipywidgets
ipyvtklink
mne-qt-browser
darkdetect
qdarkstyle

=== debian/changelog ===
python-mne (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Security-Contact.
  * Switch from python-vtk7 to python-vtk9
    Closes: #1016602

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 14:10:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libgl1-mesa-dri,
                libjs-jquery,
                libjs-jquery-ui,
-               python3-vtk7,
+               python3-vtk9,
                python3-all,
                python3-coverage,
                python3-joblib,
@@ -28,7 +28,7 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne
@@ -51,7 +51,7 @@
          xvfb,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-vtk7,
+Recommends: python3-vtk9,
             python3-nibabel,
             python3-nose,
             python3-pytest

## python-mne 1.2.0+dfsg

=== debian/changelog ===
python-mne (1.2.0+dfsg-2) unstable; urgency=medium

  * d/control: remove dependencies to nose. (Closes: #1018533)
  * d/control: add myself to uploaders.
  * d/copyright: remove superfluous references to externals.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Dec 2022 21:45:54 +0100

python-mne (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Create proper source tarball name
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 09:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-mne
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+           Michael Hanke <michael.hanke@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -16,7 +17,6 @@
                python3-joblib,
                python3-matplotlib,
                python3-nibabel,
-               python3-nose,
                python3-numpy,
                python3-pytest,
                python3-pytest-cov,
@@ -53,7 +53,6 @@
          ${python3:Depends}
 Recommends: python3-vtk9,
             python3-nibabel,
-            python3-nose,
             python3-pytest
 Suggests: mayavi2,
           ipython,

## python-mne 1.3.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# simple makefile to simplify repetetive build env management tasks under posix
+# simple makefile to simplify repetitive build env management tasks under posix
 
 PYTHON ?= python
 PYTESTS ?= py.test
 CTAGS ?= ctags
-CODESPELL_SKIPS ?= "doc/auto_*,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg,references.bib,*.css"
+CODESPELL_SKIPS ?= "doc/_build,doc/auto_*,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg,references.bib,*.css,*.edf,*.bdf,*.vhdr"
 CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
 all: clean inplace test test-doc
 
@@ -103,10 +103,10 @@
 	@echo "flake8 passed"
 
 codespell:  # running manually
-	@codespell --builtin clear,rare,informal,names,usage -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)
+	@codespell --builtin clear,rare,informal,names,usage -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt --uri-ignore-words-list=bu $(CODESPELL_DIRS)
 
 codespell-error:  # running on travis
-	@codespell --builtin clear,rare,informal,names,usage -i 0 -q 7 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt $(CODESPELL_DIRS)
+	@codespell --builtin clear,rare,informal,names,usage -i 0 -q 7 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt --uri-ignore-words-list=bu $(CODESPELL_DIRS)
 
 pydocstyle:
 	@echo "Running pydocstyle"

=== requirements.txt ===
--- 
+++ 
@@ -9,11 +9,12 @@
 packaging
 pymatreader
 qtpy
-PySide6!=6.3.0
+PySide6!=6.3.0,!=6.4.0,!=6.4.0.1  # incompat with Matplotlib 3.6.1 and qtpy
 pyobjc-framework-Cocoa>=5.2.0; platform_system=="Darwin"
 sip
 scikit-learn
 nibabel
+openmeeg>=2.5.5
 numba
 h5py
 jinja2
@@ -24,7 +25,7 @@
 statsmodels
 joblib
 psutil
-dipy
+dipy; sys_platform != 'darwin' or platform_machine != 'arm64'  # TODO: Needs dipy 1.6 release
 vtk
 nilearn
 xlrd
@@ -35,7 +36,10 @@
 pyvistaqt>=0.4
 mffpy>=0.5.7
 ipywidgets
+ipympl; platform_system!="Windows"  # XXX: Add support when ipympl CIs include Windows
+ipyevents
 ipyvtklink
 mne-qt-browser
 darkdetect
 qdarkstyle
+threadpoolctl

=== doc/Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 	@echo "Build finished. The HTML pages are in _build/html_stable."
 
 html_dev-front:
-	@PATTERN="\(plot_mne_dspm_source_localization.py\|plot_receptive_field.py\|plot_mne_inverse_label_connectivity.py\|plot_sensors_decoding.py\|plot_stats_cluster_spatio_temporal.py\|plot_20_visualize_evoked.py\)" make html_dev-pattern;
+	@PATTERN="\(30_mne_dspm_loreta.py\|50_decoding.py\|30_strf.py\|20_cluster_1samp_spatiotemporal.py\|20_visualize_evoked.py\)" make html_dev-pattern;
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml

=== debian/changelog ===
python-mne (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove unused license definitions for Expat.
  * Do not mention non-existing Files-Excluded
  * No need to provide bootstrap.js any more

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 17:39:55 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,6 @@
 	rm -rf *.egg-info
 	dh_clean
 
-override_dh_auto_build:
-	dh_auto_build
-	yui-compressor debian/JS/bootstrap/bootstrap.js > $(CURDIR)/mne/html/bootstrap.min.js
-	printf "\n\n" >> $(CURDIR)/mne/html/bootstrap.min.js
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p build

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/mne-tools/mne-python/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-mne 1.6.1%2Bdfsg

=== debian/changelog ===
python-mne (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.1+dfsg
  * up_check_numpy: delete: doesn't apply anymore.
  * d/{control,rules}: move to dh-sequence-python3.
  * d/control: update build dependencies list.
  * d/missing-sources/*.js: hunted missing source code.
    The source code of python-mne holds minified javascript.  These files
    are the expanded versions of the minified files.

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 16:19:02 +0100

## python-mne 1.6.1+dfsg

=== Makefile ===
# simple makefile to simplify repetitive build env management tasks under posix

PYTHON ?= python
PYTESTS ?= py.test
CODESPELL_SKIPS ?= "doc/_build,doc/auto_*,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg,references.bib,*.css,*.edf,*.bdf,*.vhdr"
CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
all: clean inplace test test-doc

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build dist

clean-ctags:
	rm -f tags

clean-cache:
	find . -name "__pycache__" | xargs rm -rf

clean: clean-build clean-pyc clean-so clean-ctags clean-cache

wheel:
	$(PYTHON) -m build

sample_data:
	@python -c "import mne; mne.datasets.sample.data_path(verbose=True);"

testing_data:
	@python -c "import mne; mne.datasets.testing.data_path(verbose=True);"

test-no-network: in
	sudo unshare -n -- sh -c 'MNE_SKIP_NETWORK_TESTS=1 py.test mne'

test-no-testing-data: in
	@MNE_SKIP_TESTING_DATASET_TESTS=true \
	$(PYTESTS) mne

test-doc: sample_data testing_data
	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/ --ignore=./doc/auto_examples --ignore=./doc/auto_tutorials --ignore=./doc/_build --ignore=./doc/conf.py --ignore=doc/sphinxext --fulltrace

pre-commit:
	@pre-commit run -a

# Aliases for stuff we used to support or users might think of
ruff: pre-commit
flake: pre-commit
pep: pre-commit

codespell:  # running manually
	@codespell --builtin clear,rare,informal,names,usage -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt --uri-ignore-words-list=bu $(CODESPELL_DIRS)

check-manifest:
	check-manifest -q --ignore .circleci/config.yml,doc,logo,mne/io/*/tests/data*,mne/io/tests/data,mne/preprocessing/tests/data,.DS_Store,mne/_version.py

check-readme: clean wheel
	twine check dist/*

nesting:
	@echo "Running import nesting tests"
	@$(PYTESTS) mne/tests/test_import_nesting.py

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -nWT --keep-going
SPHINXBUILD   = sphinx-build
MPROF         = SG_STAMP_STARTS=true mprof run -E --python sphinx

# Internal variables.
ALLSPHINXOPTS   = -d _build/doctrees $(SPHINXOPTS) .

.PHONY: help clean html html-noplot html-pattern linkcheck linkcheck-grep doctest

# make with no arguments will build the first target by default, i.e., build standalone HTML files
first_target: html-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html             to make standalone HTML files"
	@echo "  html-memory      to make standalone HTML files while monitoring memory usage"
	@echo "  html-pattern     to make standalone HTML files for a specific filename pattern"
	@echo "  html-front       to make standalone HTML files with only the frontpage examples"
	@echo "  html-noplot      to make standalone HTML files without plotting"
	@echo "  clean            to clean HTML files"
	@echo "  linkcheck        to check all external links for integrity"
	@echo "  linkcheck-grep   to grep the linkcheck result"
	@echo "  doctest          to run all doctests embedded in the documentation (if enabled)"
	@echo "  view             to view the built HTML"

clean:
	-rm -rf _build sg_execution_times.rst auto_examples auto_tutorials generated *.stc *.fif *.nii.gz

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-memory:
	$(MPROF) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-pattern:
	$(SPHINXBUILD) -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -D sphinx_gallery_conf.run_stale_examples=True -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html"

html-pattern-memory:
	$(MPROF) -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -D sphinx_gallery_conf.run_stale_examples=True -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html"

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-front:
	@PATTERN="\(30_mne_dspm_loreta.py\|50_decoding.py\|30_strf.py\|20_cluster_1samp_spatiotemporal.py\|20_visualize_evoked.py\)" make html-pattern

# Aliases for old methods
html_dev-pattern-memory: html-pattern-memory
html_dev-pattern: html-pattern
html_dev-noplot: html-noplot
html_dev-front: html-front

linkcheck:
	@$(SPHINXBUILD) -b linkcheck -D nitpicky=0 -D plot_gallery=0 -D exclude_patterns="cited.rst,whats_new.rst,configure_git.rst" -d _build/doctrees . _build/linkcheck

linkcheck-grep:
	@! grep -h "^.*:.*: \[\(\(local\)\|\(broken\)\)\]" _build/linkcheck/output.txt

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

view:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/index.html')"

show: view

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                libgl1-mesa-dri,
                libjs-jquery,
                libjs-jquery-ui,
@@ -15,6 +16,7 @@
                python3-all,
                python3-coverage,
                python3-joblib,
+               python3-lazy-loader,
                python3-matplotlib,
                python3-nibabel,
                python3-numpy,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export  https_proxy=http://127.0.0.1:9/
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_clean:
 	rm -rf *.egg-info

## python-mne 1.7.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 clean: clean-build clean-pyc clean-so clean-ctags clean-cache
 
 wheel:
-	$(PYTHON) -m build
+	$(PYTHON) -m build -w
 
 sample_data:
 	@python -c "import mne; mne.datasets.sample.data_path(verbose=True);"
@@ -54,9 +54,6 @@
 codespell:  # running manually
 	@codespell --builtin clear,rare,informal,names,usage -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt --uri-ignore-words-list=bu $(CODESPELL_DIRS)
 
-check-manifest:
-	check-manifest -q --ignore .circleci/config.yml,doc,logo,mne/io/*/tests/data*,mne/io/tests/data,mne/preprocessing/tests/data,.DS_Store,mne/_version.py
-
 check-readme: clean wheel
 	twine check dist/*

=== doc/Makefile ===
--- 
+++ 
@@ -76,6 +76,6 @@
 	      "results in _build/doctest/output.txt."
 
 view:
-	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/index.html')"
+	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/sg_execution_times.html')"
 
 show: view

=== debian/changelog ===
python-mne (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * d/links: freshen javascript libraries.
  * d/rules: slightly modernize the makefile.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jun 2024 23:21:35 +0200

python-mne (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/copyright: remove Files-Excluded field.
    Affected files have disappeared upstream, repack is no more needed.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: build depends on python3-hatchling.
  * d/control: build depends on python3-hatch-vcs.
  * d/control: tests depend on python3-pooch.
  * d/control: tests depend on python3-pytest-timeout.
  * d/control: tests depend on python3-tqdm.
  * d/rules: cosmetic: improve readability.
  * d/rules: remove ||true; allow the test suite to fail again.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 15:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -15,22 +15,27 @@
                python3-vtk9,
                python3-all,
                python3-coverage,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-joblib,
                python3-lazy-loader,
                python3-matplotlib,
                python3-nibabel,
                python3-numpy,
+               python3-pooch <!nocheck>,
                python3-pytest,
                python3-pytest-cov,
+               python3-pytest-timeout <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-sklearn,
+               python3-tqdm <!nocheck>,
                python3-tk,
                python3-sphinx,
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne
